Bug 1413990 (CVE-2016-9954) - CVE-2016-9954 chicken: Excessive resource consumption due to irregex regular expression parsing
Summary: CVE-2016-9954 chicken: Excessive resource consumption due to irregex regular ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-9954
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161214,reported=2...
Depends On: 1413993 1413994
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 13:58 UTC by Andrej Nemec
Modified: 2019-06-08 21:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 01:30:01 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-17 13:58:26 UTC
A vulnerability was found in irregex which is bundled as a part of chicken. Parsing a maliciously crafted regular expression could cause resource exhaustion resulting in a Denial of Service.

References:

http://seclists.org/oss-sec/2016/q4/681

Upstream patch:

https://github.com/ashinn/irregex/commit/a16ffc86eca15fca9e40607d41de3cea9cf868f1

Comment 1 Andrej Nemec 2017-01-17 14:05:17 UTC
Created chicken tracking bugs for this issue:

Affects: fedora-all [bug 1413993]
Affects: epel-all [bug 1413994]

Comment 2 Rick Elrod 2017-05-12 01:30:01 UTC
This has been fixed for a while.


Note You need to log in before you can comment on or make changes to this bug.